#include <bits/stdc++.h>
using namespace std;

const int MAXN = 2e5 + 5;

int N, K;
int A[MAXN];

int main()
{
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cin >> N >> K;
    for(int i = 1; i <= N; i++) cin >> A[i];
    sort(A + 1, A + N + 1);
    for(int i = 1; i <= N; i++) cout << A[i] << " ";
    cout << "\n";

    return 0;
}